<?php
/*

@package eroshik savp theme


*/

add_action( 'wp_ajax_nopriv_eroshik_savp_load_more', 'eroshik_savp_load_more' );
add_action( 'wp_ajax_eroshik_savp_load_more', 'eroshik_savp_load_more' );

if ( ! function_exists( 'eroshik_savp_load_more' ) ) {
function eroshik_savp_load_more() {
	$post_id=get_option('page_for_posts', true);
	$post_name=get_post($post_id);
	$post_name=$post_name->post_name;
	if(isset($_POST['page'])){
		$paged = sanitize_text_field(wp_unslash($_POST['page']+1));
	}
	if(isset($_POST['prev'])){
		$prev = sanitize_text_field(wp_unslash($_POST['prev']));
	}

	if(isset($_POST['archive'])){
			$archive = sanitize_text_field(wp_unslash($_POST['archive']));
	}

if(isset($_POST['page'])){
	if( $prev == 1 && $_POST['page'] != 1 ){
		 $paged = sanitize_text_field(wp_unslash($_POST['page']-1));
	}
}

	$args = array(
		'post_type' => 'post',
		'post_status' => 'publish',
		'paged' => $paged
	);

	if( $archive != '0' ){

		$archVal = explode( '/', $archive );
		$flipped = array_flip($archVal);

		switch( isset( $flipped ) ) {

			case $flipped["category"] :
				$type = "category_name";
				$key = "category";
				break;

			case $flipped["tag"] :
				$type = "tag";
				$key = $type;
				break;

			case $flipped["author"] :
				$type = "author";
				$key = $type;
				break;

		}

		$currKey = array_keys( $archVal, $key );
		$nextKey = $currKey[0]+1;
		$value = $archVal[ $nextKey ];

		$args[ $type ] = $value;

		//check page trail and remove "page" value
		if( isset( $flipped["page"] ) ){

			$pageVal = explode( 'page', $archive );
			$page_trail = $pageVal[0];

		} else {
			$page_trail = $archive;
		}

	} else {
		$page_trail = '/';
	}

	$query = new WP_Query( $args );

	if( $query->have_posts() ){
		echo '<div class="page_limit" data-page="sd' . esc_attr($page_trail .$post_name).'\/page/' . esc_attr($paged). '/">';

		while( $query->have_posts() ){
 			$query->the_post();
			get_template_part( 'template-parts/content', get_post_format() );

		}

		echo '</div>';
}
	else{

		echo 0;

	}

	wp_reset_postdata();

	die();

}
}

if ( ! function_exists( 'eroshik_savp_check_page' ) ) {
function eroshik_savp_check_page( $num = null ){

	$output = '';

	if( is_paged() ){ $output = 'page/' . get_query_var( 'paged' ); }

	if( $num == 1 ){
		$paged = ( get_query_var( 'paged' ) == 0 ? 1 : get_query_var( 'paged' ) );
		return $paged;
	} else {
		return $output;
	}

}
}
